Bug 27995 - Exceptional condition during install
Summary: Exceptional condition during install
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-16 17:20 UTC by William J Calder
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-20 15:30:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William J Calder 2001-02-16 17:20:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)


Doing a new install of 7.0.  Made a mistake with the size of the /usr 
partition. Went back using the graphical interface, and change partition 
infomation to:4g /, 4g /usr, 19g /home, 2*207M swaps.  Message comes up to 
reboot. Then : An exceptional condition has occured. This is most likely a 
bug. Please copy the full text of this exception ... etc.  With info 
being :

Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py" line 
20, in run
    Rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1468, in 
doInstall
     self.fstab.savePartitions()
  File "fstab.py", line 221, in savePartitions
     sys.exit(0)
SystemExit:0

Reproducible: Sometimes
Steps to Reproduce:
1. Create /,/usr,/home note /usr too small for install
2. back through gui, change partition information
3. At INstalling Packages screen get error partition information has 
changed, need to reboot.
4. Error occurs
	

Actual Results:  same issue

Expected Results:  continue with reboot

all information in description

Comment 1 Michael Fulbright 2001-02-20 15:30:14 UTC
Fixed in internal tree.


Note You need to log in before you can comment on or make changes to this bug.